Name:           qdirstat
Version:        1.8.1
Release:        %mkrel 1
Summary:        Qt-based directory statistics
Group:          File tools
License:        GPL-2.0-only
URL:            https://github.com/shundhammer/qdirstat
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(zlib)

%description
QDirStat is a graphical application to show where your
disk space has gone and to help you to clean it up.

This is a Qt-only port of the old Qt3/KDE3-based KDirStat,
now based on the latest Qt 5. It does not need any KDE
libs or infrastructure. It runs on every X11-based desktop
on Linux, BSD and other Unix-like systems.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -Dp -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%license LICENSE
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_bindir}/%{name}-cache-writer
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/%{name}-cache-writer.1.*


%changelog
* Mon May 22 2023 daviddavid <daviddavid> 1.8.1-1.mga9
+ Revision: 1957706
- initial package qdirstat (mga#30072)

